package com.company;

import java.util.List;

public class Student {
    private String name;
    private String surname;
    private List<Double> gradesList;

    public Student(String name, String surname, List<Double> gradesList) {
        this.name = name;
        this.surname = surname;
        this.gradesList = gradesList;
    }

    public String getName() {
        return name;
    }

    public String getSurname() {
        return surname;
    }

    public List<Double> getGradesList() {
        return gradesList;
    }

    @Override
    public String toString() {
        return "Student{" +
                "name='" + name + '\'' +
                ", surname='" + surname + '\'' +
                ", gradesList=" + gradesList +
                '}';
    }

    public double calculateFinalGrade() {
        if(gradesList.isEmpty()){
            return 0;
        }
        double sum = 0;
        for (double grade : gradesList) {
            sum += grade;
        }
        return sum/gradesList.size();
    }

    public void display() {
        System.out.println(name + " " + surname + ", grades: " + gradesList.toString() + " avg: " + calculateFinalGrade());
    }
}
